/*
  Calisto - An internet Talker
  Copyright (C) 1998-2001 Peter Howkins, Matthew Howkins and Simon Howkins

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,     
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License   
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

  Email: calisto@calisto.cx

  $Id: pllayer.h,v 1.2 2000/12/29 21:07:37 peter Exp $

 */

#ifndef pllayer_h
#define pllayer_h

#include "strplus.h"
#include "structs.h"

#define GETNAME(c)      ((c)->name)
#define GETPROMPT(c)    ((c)->prompt)
#define GETGROUP(c)     ((c)->group)
#define GETLOGINTIME(c) ((c)->logintime)

#define SETNAME(c, s)      (STRNCOPY((c)->name, (s), MAX_NAME_LENGTH))  
#define SETPROMPT(c, s)    (STRNCOPY((c)->prompt, (s), MAX_PROMPT_LENGTH))  
#define SETGROUP(c, s)     (STRNCOPY((c)->group, (s), MAX_GRUOP_LENGTH))  
#define SETLOGINTIME(c, n) ((c)->logintime = (n))


#if 0
#define SEND_TO_CHAR(c, s, ...)           send_to_char(c, s, ...)
#define SEND_TO_CHAR_EXCEPT(c, e, s, ...) send_to_char_except(c, e, s, ...)     
#define SEND_TO_ROOM(g, s, ...)           send_to_room(g, s, ...)
#define SEND_TO_ROOM_EXCEPT(g, c, s, ...) send_to_room_except(g, d, s, ...)
#endif

#endif /* pllayer_h */
